Bug 624513 - F14 RC4: fdisk (or the gui frontend) dies just prior to actually formatting a partition.
F14 RC4: fdisk (or the gui frontend) dies just prior to actually formatting a...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
14
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-16 13:58 EDT by John Dulaney
Modified: 2014-06-18 05:06 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 13:01:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Dulaney 2010-08-16 13:58:54 EDT
Description of problem:

Basic summary:  I have highly partitioned hard drives on all my boxes, and on two with a scheme of sda1 for a stable F13 install (NO format), sda2 for /home (NO format), sda3 for F13 testing, sda4 for F14, and sda5 for swap, the Fdisk failed when I told it to use sda4 for / (format ext4), sda2 for /home (ext4, no format), sda5 for swap (I format this by default with all test installs).  Fdisk will not make it to formatting anything, and displays an error message.

Anaconda's error output to follow as soon as I can find the file (bad memory strikes again)


How reproducible:
Every time on my two boxes with the above pre-existing partition scheme

Steps to Reproduce:
1. Install from RC4 DVD with nouveau enabled, noapic as an added kernel arg
2. Go through install until reach fdisk's frontend
3. Set up partitioning as above.
  
Actual results:
Just after OKing changes to HD, it crashes, bringing up an error dump (to be attached)

Expected results:
Format the appropriate partitions, continue with installation.

Additional info:
Forthcoming.
Comment 1 Chris Lumens 2010-08-16 14:13:32 EDT
Please attach /tmp/anaconda-tb-* to this bug report.  Note that anaconda does not use fdisk for anything.  We use parted underneath.
Comment 2 Fedora End Of Life 2012-08-16 13:01:36 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.